MarinePSuperstructure.jpg=Marine Perch superstructure with passengers, 1946
PeopleOnDeck1946.jpg=Passengers on deck of Marine Perch, 1946
DorisLuggage.jpg=Dollan Rinell with luggage, Marine Perch 1946
DorisMarinePearch1946.jpg=Swedish missionaries' daughter Dollan Rinell on Marine Perch, 1946
